import { InternalResourceMeta } from "../resources/internal-resource-meta";
import { PropertyType } from "../../properties/property-type";
export declare function getResourceNameOrDefault(suspectedResourceName: string): Promise<string>;
export declare function isResourceIdProperty(propertyName: string, resourceName?: string): Promise<boolean>;
export declare function isResourceListProperty(propertyName: string): boolean;
export declare function isUrlProperty(propertyName: string): boolean;
export declare function createResourceIdProperty(resourceName: string): string;
export declare function isResourceProperty(propertyName: string, type: PropertyType): Promise<boolean>;
/** @internal */
export declare function getUserFriendlyName(propertyName: string): Promise<string>;
export declare function getResourceDescriptionPropertyNames(internalResourceMeta: InternalResourceMeta): string[];
export declare function getResourceDescription(internalResourceMeta: InternalResourceMeta): import("../../../../../generated/npm-package").ResourceDescription;
export declare function getResourceNameFromPropertyWithId(propertyName: string): Promise<string>;
export declare function getResourceNameFromListProperty(propertyName: string): Promise<string>;
export declare function cutOffSuffix(stringToCut: string, suffix: string): string;
export declare function isIdProperty(propertyName?: string): boolean;
export declare function isIdOnlyProperty(propertyName: string): boolean;
